.lib "BlitzBullet.dll" 
;Version 1.2.0.2

;////////////////////////////////////////////////////////////////////////
;___________ World
;-----------------
btCreateWorldI(numThreads%, license_key$) : "_btCreateWorld@8"
btCreateWorld(numThreads%)
btSimulation(timeStep#, maxSubSteps%) : "_btSimulation@8"
btWorldSetGravityI(x#, y#, z#, softWorld%) : "_btWorldSetGravity@16"
btWorldSetGravity(x#, y#, z#, softWorld%)
btSoftWorldSetGravity(x#, y#, z#) : "_btSoftWorldSetGravity@12"
btDestroyWorld() : "_btDestroyWorld@0"
btWorldSetFixedTimeStep(fixedTimeStep#) : "_btWorldSetFixedTimeStep@4"

btWorldGetGravityX#() : "_btWorldGetGravityX@0"
btWorldGetGravityY#() : "_btWorldGetGravityY@0"
btWorldGetGravityZ#() : "_btWorldGetGravityZ@0"

btGetNumRigidBodies%() : "_btGetNumRigidBodies@0"
btGetNumSoftBodies%() : "_btGetNumSoftBodies@0"
btGetNumJoints%() : "_btGetNumJoints@0"
btGetNumBodies%() : "_btGetNumBodies@0"
btGetNumCController%() : "_btGetNumCController@0"

btGetBody%(index%) : "_btGetBody@4"
btGetRigidBody%(index%) : "_btGetRigidBody@4"
btGetSoftBody%(index%) : "_btGetSoftBody@4"
btGetJoint%(index%) : "_btGetJoint@4"

btWorldRemoveBody(body%) : "_btWorldRemoveBody@4"
btWorldAddBody(body%) : "_btWorldAddBody@4"


;////////////////////////////////////////////////////////////////////////
;___________ Debug Draw
;------------------------
btCreateDebugDraw() : "_btCreateDebugDraw@0"
btDebugDrawWorldI() : "_btDebugDrawWorld@0"
btDebugDrawWorld(camera%, modeDraw%, reportWarnings%) 
btDebugDrawSetModeI(debugMode%) : "_btDebugDrawSetMode@4"
btDebugDrawSetMode(debugMode%)
btDebugDrawSetFlagSoftBody(flag%) : "_btDebugDrawSetFlagSoftBody@4"
btDebugDrawEnableNodeTree(enabled%) : "_btDebugDrawEnableNodeTree@4"
btDebugDrawAddBody(rigidBody%, red#, green#, blue#)
btDebugDrawAddJoint(joint%)
btDebugDrawRemoveObject(btObject%)
btDebugDrawBody(rigidBody%, red%, green%, blue%) : "_btDebugDrawBody@16"
btDebugDrawJoint(joint%) : "_btDebugDrawJoint@4"

btDebugDrawSetColorContacts(red%, green%, blue%) : "_btDebugDrawSetColorContacts@12"
btDebugDrawSetColorRays(red%, green%, blue%) : "_btDebugDrawSetColorRays@12"
btDebugDrawSetColorPointRays(red%, green%, blue%) : "_btDebugDrawSetColorPointRays@12"
btDebugDrawSetColorNormalRays(red%, green%, blue%) : "_btDebugDrawSetColorNormalRays@12"
btDebugDrawSetSizePointRays(size#) : "_btDebugDrawSetSizePointRays@4"
btDebugDrawSetSizeContacts(size#) : "_btDebugDrawSetSizeContacts@4"

btDebugDrawGetNumLines%() : "_btDebugDrawGetNumLines@0"
btDebugDrawGetLine(index%, param*) : "_btDebugDrawGetLine@8"
btDebugDrawClearLines() : "_btDebugDrawClearLines@0"
btDebugDrawGetNumContacts%() : "_btDebugDrawGetNumContacts@0"
btDebugDrawGetContact(index%, param*) : "_btDebugDrawGetContact@8"
btDebugDrawClearContacts() : "_btDebugDrawClearContacts@0"
btDebugDrawGetNumReportWarnings%() : "_btDebugDrawGetNumReportWarnings@0"
btDebugDrawGetReportWarning$(index%) : "_btDebugDrawGetReportWarning@4"
btDebugDrawClearReportWarnings() : "_btDebugDrawClearReportWarnings@0"
btDebugDrawGetNumTexts%() : "_btDebugDrawGetNumTexts@0"
btDebugDrawGetText$(index, location*) : "_btDebugDrawGetText@8"
btDebugDrawClearTexts() : "_btDebugDrawClearTexts@0"
btDebugDrawClear() : "_btDebugDrawClear@0"


;////////////////////////////////////////////////////////////////////////
;___________ Rigid Body
;-----------------------------
btBodyCreateBox%(dx#, dy#, dz#, mass#) : "_btBodyCreateBox@16"
btBodyCreatePlane%(nx#, ny#, nz#) : "_btBodyCreatePlane@12"
btBodyCreateSphere%(radius#, mass#) : "_btBodyCreateSphere@8"
btBodyCreateCapsule%(radius#, height#, mass#) : "_btBodyCreateCapsule@12"
btBodyCreateCylinder%(radius#, height#, mass#) : "_btBodyCreateCylinder@12"
btBodyCreateCone%(radius#, height#, mass#) : "_btBodyCreateCone@12"
btBodyCreateTrimeshI%(numVertices%, verticesBank*, numTriangles%, indicesBank*, mass#, triMeshType%) : "_btBodyCreateTrimesh@24"
btBodyCreateTrimesh%(mesh%, mass#, trimeshType%)
btBodyCreateMultiMaterialTrimeshI%(numVertices%, verticesBank*, numTriangles%, indicesBank*, mass#, materials%) : "_btBodyCreateMultiMaterialTrimesh@24"
btBodyCreateMultiMaterialTrimesh%(mesh%, mass#, materials%)
btBodyCreateConvexHullI%(numVertices%, verticesBank*, mass#, reduction%) : "_btBodyCreateConvexHull@16"
btBodyCreateConvexHull%(mesh%, mass#, reduction)
btCopyBody%(body%, useSharedShape%) : "_btCopyBody@8"

btShapeCreateCompound%() : "_btShapeCreateCompound@0"
btShapeCompoundAddBody(shape%, addBody%, useSharedShape%, deleteBody%) : "_btShapeCompoundAddBody@16"
btBodyCreateCompound%(shapeCompound%, mass#) : "_btBodyCreateCompound@8"
btBodyCompoundAddBody%(compoundBody%, addBody%, global%, useSharedShape%, deleteBody%) : "_btBodyCompoundAddBody@20"
btBodyRemoveChild(compoundBody%, index%, deleteShape%) : "_btBodyCompoundRemoveChild@12"
btBodyGetNumChildren%(bodyCompound%) : "_btBodyCompoundGetNumChildren@4"

btBodyCreateTerrainI%(size%, bank*, sx#, sy#, sz#) : "_btBodyCreateTerrain@20"
btBodyCreateTerrain%(terrain%, sx#, sy#, sz#) 

btDeleteBody(body%) : "_btDeleteBody@4"
btDeleteAllBody() : "_btDeleteAllBody@0"


;////////////////////////////////////////////////////////////////////////
;___________ Materials
;-----------------------------
btCreateMaterials%(numMaterials%) : "_btCreateArrayMaterials@4"
btMaterialsSetTriangles(materials%, index%, first%, last%) : "_btArrayMaterialsSetTriangles@16"
btMaterialsSetParam(materials%, index%, friction#, restitution#) : "_btArrayMaterialsSetParam@16"
btDeleteMaterials(materials%) : "_btDeleteArrayMaterials@4"
btDeleteAllMaterials() : "_btDeleteAllArrayMaterials@0"


;////////////////////////////////////////////////////////////////////////
;___________ Soft Body
;----------------------------
btSoftBodyCreateFromMeshI%(numVertices%, verticesBank*, numTriangles%, indicesBank*, mass#, surfaceInfoBank*, mesh%, generateConstraint%) : "_btSoftBodyCreateFromMesh@32"
btSoftBodyCreateFromMesh%(mesh%, mass#, generateConstraint%)
btSoftBodyGenerateClusters(softBody%, num%) : "_btSoftBodyGenerateClusters@8"

btSoftBodyGetVertexPos(softBody%, bank*) : "_btSoftBodyGetVertexPos@8"
btSoftBodyGetVertexNormal(softBody%, bank*) : "_btSoftBodyGetVertexNormal@8"

btSoftBodySetPosition(softBody%, x#, y#, z#, RelNode%) : "_btSoftBodySetPosition@20"
btSoftBodyCreateArrayNodes%(softBody%) : "_btSoftBodyCreateArrayNodes@4"
btSoftBodySetArrayNodesI(arrNodes%, copyVelocityMode%) : "_btSoftBodySetArrayNodes@8"
btSoftBodySetArrayNodes(arrNodes%, copyVelocityMode%)
btSoftBodyDeleteArrayNodes(arrNodes%) : "_btSoftBodyDeleteArrayNodes@4"
btSoftBodyEnablePosEntity(softbody%, enabled%) : "_btSoftBodyEnablePosEntity@8"
btSoftBodyCut(softBody%, x#, y#, z#, radius#, accuracy#) : "_btSoftBodyCut@24"

btSoftBodyGetTotalMass#(softBody%) : "_btSoftBodyGetTotalMass@4"
btSoftBodyGetNumNodes%(softBody%) : "_btSoftBodyGetNumNodes@4"
btSoftBodyGetMass#(softBody%, node%) : "_btSoftBodyGetMass@8"
btSoftBodyNodeGetX#(softBody%, node%) : "_btSoftBodyNodeGetX@8"
btSoftBodyNodeGetY#(softBody%, node%) : "_btSoftBodyNodeGetY@8"
btSoftBodyNodeGetZ#(softBody%, node%) : "_btSoftBodyNodeGetZ@8"
btSoftBodyNodeGetNX#(softBody%, node%) : "_btSoftBodyNodeGetNX@8"
btSoftBodyNodeGetNY#(softBody%, node%) : "_btSoftBodyNodeGetNY@8"
btSoftBodyNodeGetNZ#(softBody%, node%) : "_btSoftBodyNodeGetNZ@8"

btSoftBodyNodeSetPosition(softBody%, node%, x#, y#, z#) : "_btSoftBodyNodeSetPosition@20"
btSoftBodyNodeSetTranslate(softBody%, node%, x#, y#, z#) : "_btSoftBodyNodeSetTranslate@20"
btSoftBodyNodeGetVelocity#(softBody%, node%) : "_btSoftBodyNodeGetVelocity@8"
btSoftBodyNodeGetVelocityX#(softBody%, node%) : "_btSoftBodyNodeGetVelocityX@8"
btSoftBodyNodeGetVelocityY#(softBody%, node%) : "_btSoftBodyNodeGetVelocityY@8"
btSoftBodyNodeGetVelocityZ#(softBody%, node%) : "_btSoftBodyNodeGetVelocityZ@8"

btSoftBodySetPose(softBody%, bvolume%, bframe%) : "_btSoftBodySetPose@12"
btSoftBodySetTotalMassI(softBody%, mass#, fromFace%) : "_btSoftBodySetTotalMass@12"
btSoftBodySetTotalMass(softBody%, mass#, fromFace%)
btSoftBodySetMass(softBody%, mass#, node%) : "_btSoftBodySetMass@12"
btSoftBodySetAngularStiffness(softBody%, angularStiffness#) : "_btSoftBodySetAngularStiffness@8"
btSoftBodySetLinearStiffness(softBody%, linearStiffness#) : "_btSoftBodySetLinearStiffness@8"
btSoftBodySetVolumeStiffness(softBody%, volumeStiffness#) : "_btSoftBodySetVolumeStiffness@8"
btSoftBodySetDynamicFriction(softBody%, friction#) : "_btSoftBodySetDynamicFriction@8"
btSoftBodySetDamping(softBody%, damping#) : "_btSoftBodySetDamping@8"
btSoftBodySetPressure(softBody%, pressure#) : "_btSoftBodySetPressure@8"
btSoftBodySetPosIterations(softBody%, num%) : "_btSoftBodySetPosIterations@8"
btSoftBodySetDrag(softBody%, drag#) : "_btSoftBodySetDrag@8"
btSoftBodySetTimeScale(softBody%, timeScale#) : "_btSoftBodySetTimeScale@8"
btSoftBodySetImpulseSplit(softBody%, split%) : "_btSoftBodySetImpulseSplit@8"
btSoftBodySetAnchorHardness(softBody%, hardness#) : "_btSoftBodySetAnchorHardness@8"
btSoftBodySetRigidContactHardness(softBody%, hardness#) : "_btSoftBodySetRigidContactHardness@8"
btSoftBodySetSoftContactHardness(softBody%, hardness#) : "_btSoftBodySetSoftContactHardness@8"
btSoftBodySetClusterRigidHardness(softBody%, hardness#) : "_btSoftBodySetClusterRigidHardness@8"
btSoftBodySetClusterSoftHardness(softBody%, hardness#) : "_btSoftBodySetClusterSoftHardness@8"
btSoftBodySetAeroModel(softBody%, type%) : "_btSoftBodySetAeroModel@8"
btSoftBodySetVelocity(softBody%, x#, y#, z#) : "_btSoftBodySetVelocity@16"
btSoftBodySetTotalDensity(softBody%, density#) : "_btSoftBodySetTotalDensity@8"
btSoftBodySetSolver(softBody%, preset%) : "_btSoftBodySetSolver@8"
btSoftBodySetLift(softBody%, lift#) : "_btSoftBodySetLift@8"
btSoftBodySetPoseMatching(softBody%, matching#) : "_btSoftBodySetPoseMatching@8"
btSoftBodySetVolumeConversation(softBody%, kvc#) : "_btSoftBodySetVolumeConversation@8"

btSoftBodyGetNumClusters%(softBody%) : "_btSoftBodyGetNumClusters@4"
btSoftBodyClusterSetLinearDamping(softBody%, cluster%, damping#) : "_btSoftBodyClusterSetLinearDamping@12"
btSoftBodyClusterSetNodeDamping(softBody%, cluster%, damping#) : "_btSoftBodyClusterSetNodeDamping@12"

btSoftBodyAppendAnchor%(softBody%, node%, body%, disableCollision%) : "_btSoftBodyAppendAnchor@16"
btSoftBodyAnchorSetLocalPosition(anchor%, x#, y#, z#) : "_btSoftBodyAnchorSetLocalPosition@16"
btSoftBodyDeleteAnchor(anchor%) : "_btSoftBodyDeleteAnchor@4"
btSoftBodyDeleteAllAnchor(softBody%) : "_btSoftBodyDeleteAllAnchor@4"

btSoftBodyAppendAJoint%(softBody%, body%, x#, y#, z#) : "_btSoftBodyAppendAJoint@20"
btSoftBodyAppendLJoint%(softBody%, body%, x#, y#, z#) : "_btSoftBodyAppendLJoint@20"
btSoftBodyJointSetDirAxis(joint%, x#, y#, z#, id%) : "_btSoftBodyJointSetDirAxis@20"
btSoftBodyDeleteJoint(joint%) : "_btSoftBodyDeleteJoint@4"
btSoftBodyDeleteAllJoints(softBody%) : "_btSoftBodyDeleteAllJoints@4"
btSoftBodyNumJoints%(softBody%) : "_btSoftBodyNumJoints@4"
btSoftBodyJointSetSplit(joint%, split#) : "_btSoftBodyJointSetSplit@8"
btSoftBodyJointSetDrift(joint%, x#, y#, z#) : "_btSoftBodyJointSetDrift@16"

btSoftBodyApplyForceI(softBody%, x#, y#, z#, node%) : "_btSoftBodyApplyForce@20"
btSoftBodyApplyForce(softBody%, x#, y#, z#, node%)
btSoftBodyApplyForceToNodes(softBody%, x#, y#, z#, nbank*, size%) : "_btSoftBodyApplyForceToNodes@24"
btSoftBodyNodeSetVelocity(softBody%, node%, x#, y#, z#) : "_btSoftBodyNodeSetVelocity@20"

btSoftBodyGetNumRContacts%(softBody%) : "_btSoftBodyGetNumRContacts@4"
btSoftBodyRContactsClear(softBody%) : "_btSoftBodyRContactsClear@4"
btSoftBodyRContactGetBody%(softBody%, contact%) : "_btSoftBodyRContactGetBody@8"
btSoftBodyRContactGetNode%(softBody%, contact%) : "_btSoftBodyRContactGetNode@8"
btSoftBodyRContactGetNX#(softBody%, contact%) : "_btSoftBodyRContactGetNX@8"
btSoftBodyRContactGetNY#(softBody%, contact%) : "_btSoftBodyRContactGetNY@8"
btSoftBodyRContactGetNZ#(softBody%, contact%) : "_btSoftBodyRContactGetNZ@8"

btSoftBodySetFlagCollisions(softBody%, flag%) : "_btSoftBodySetFlagCollisions@8"
btSoftBodyCheckContactAABB%(softbody%, body%, shiftAABB#) : "_btSoftBodyCheckContactAABB@12"
btSoftBodyGetNodesContactAABB%(softbody%, body%, nbank*, shiftAABB#) : "_btSoftBodyGetNodesContactAABB@16"
btSoftBodyEnableCollisionBody(softbody%, body%, enabled%) : "_btSoftBodyEnableCollisionBody@12"


;////////////////////////////////////////////////////////////////////////
;___________ Trigger functions
;-----------------------------
btIntersectionTestAddTrigger(rigidBody%) : "_btIntersectionTestAddTrigger@4"
btTriggerSetIntersectionParam(trigger%, methodTest%, mode%, mask%) : "_btTriggerSetIntersectionParam@16"
btIntersectionTestRemoveTrigger(rigidBody%) : "_btIntersectionTestRemoveTrigger@4"
btTriggersIntersectionTest(clearList%) : "_btTriggersIntersectionTest@4"
btTriggerGetNumBody%(trigger%) : "_btTriggerGetNumBody@4"
btTriggerGetBody%(trigger%, index%) : "_btTriggerGetBody@8"
btTriggerIsBodyIntersect%(trigger%, rigidBody%) : "_btTriggerIsBodyIntersect@8"
btTriggerGetDistance#(trigger%, index%) : "_btTriggerGetDistance@8"
btTriggerGetMaxDistance#(trigger%) : "_btTriggerGetMaxDistance@4"
btTriggerGetMinDistance#(trigger%) : "_btTriggerGetMinDistance@4"
btTriggerGetMaxContactForce#(trigger%) : "_btTriggerGetMaxContactForce@4"
btTriggerGetMinContactForce#(trigger%) : "_btTriggerGetMinContactForce@4"

btTriggerEnableTest(trigger%, enabled%) : "_btTriggerEnableTest@8"


;////////////////////////////////////////////////////////////////////////
;___________ Body control
;-------------------------
btBodyAttachEntity(body%, entity%) : "_btBodyAttachEntity@8"
btBodyDetachEntity(body%) : "_btBodyDetachEntity@4"
btBodySetEntity(rigidBody%, entity%) : "_btBodySetEntity@8"

btBodySetScale(body%, x#, y#, z#) : "_btBodySetScale@16"
btBodyTranslate(body%, x#, y#, z#) : "_btBodyTranslate@16"
btBodySetPosition(body%, x#, y#, z#) : "_btBodySetPosition@16"
btBodyGetX#(body%) : "_btBodyGetX@4"
btBodyGetY#(body%) : "_btBodyGetY@4"
btBodyGetZ#(body%) : "_btBodyGetZ@4"

btBodySetRotation(body%, pitch#, yaw#, roll#) : "_btBodySetRotation@16"
btBodyGetPitch#(rigidBody%) : "_btBodyGetPitch@4"
btBodyGetYaw#(rigidBody%) : "_btBodyGetYaw@4"
btBodyGetRoll#(rigidBody%) : "_btBodyGetRoll@4"

btBodySetQuat(rigidBody%, x#, y#, z#, w#) : "_btBodySetQuat@20"
btBodyGetQuatX#(rigidBody%) : "_btBodyGetQuatX@4"
btBodyGetQuatY#(rigidBody%) : "_btBodyGetQuatY@4"
btBodyGetQuatZ#(rigidBody%) : "_btBodyGetQuatZ@4"
btBodyGetQuatW#(rigidBody%) : "_btBodyGetQuatW@4"

btBodyGetForwardX#(rigidBody%) : "_btBodyGetForwardX@4"
btBodyGetForwardY#(rigidBody%) : "_btBodyGetForwardY@4" 
btBodyGetForwardZ#(rigidBody%) : "_btBodyGetForwardZ@4"
btBodyGetUpX#(rigidBody%) : "_btBodyGetUpX@4"
btBodyGetUpY#(rigidBody%) : "_btBodyGetUpY@4"
btBodyGetUpZ#(rigidBody%) : "_btBodyGetUpZ@4"   
btBodyGetRightX#(rigidBody%) : "_btBodyGetRightX@4"
btBodyGetRightY#(rigidBody%) : "_btBodyGetRightY@4"
btBodyGetRightZ#(rigidBody%) : "_btBodyGetRightZ@4"

btBodyGetDirectionToPointX#(srcbody%, x#, y#, z#) : "_btBodyGetDirectionToPointX@16"
btBodyGetDirectionToPointY#(srcbody%, x#, y#, z#) : "_btBodyGetDirectionToPointY@16"
btBodyGetDirectionToPointZ#(srcbody%, x#, y#, z#) : "_btBodyGetDirectionToPointZ@16"
btBodyGetDistance#(srcbody%, destbody%) : "_btBodyGetDistance@8"
btBodyGetBoundingBox(body%, bank*, global%) : "_btBodyGetBoundingBox@12"

btVertexGetX#(rigidBody%, triangle%, corner%, global%) : "_btVertexGetX@16"
btVertexGetY#(rigidBody%, triangle%, corner%, global%) : "_btVertexGetY@16"
btVertexGetZ#(rigidBody%, triangle%, corner%, global%) : "_btVertexGetZ@16"
btVertexSetPosition(rigidBody%, triangle%, corner%, x#, y#, z#, global%) : "_btVertexSetPosition@28"
btVertexTranslate(rigidBody%, triangle%, corner%, x#, y#, z#, global%) : "_btVertexTranslate@28"
btBodySetBoundingBox(rigidBody%, minx#, miny#, minz#, maxx#, maxy#, maxz#, global%) : "_btBodySetBoundingBox@32"
btBodyUpdateBound(rigidBody%) : "_btBodyUpdateBound@4"

btBodySetCenterOfMass(bodyCompound%, x#, y#, z#) : "_btBodySetCenterOfMass@16"
btBodyChildSetPosition(bodyCompound%, index%, x#, y#, z#, global%) : "_btBodyCompoundChildSetPosition@24"
btBodyChildGetX#(bodyCompound%, index%, global%) : "_btBodyCompoundChildGetX@12"
btBodyChildGetY#(bodyCompound%, index%, global%) : "_btBodyCompoundChildGetY@12"
btBodyChildGetZ#(bodyCompound%, index%, global%) : "_btBodyCompoundChildGetZ@12"
btBodyChildSetRotation(bodyCompound%, index%, pitch#, yaw#, roll#, global%) : "_btBodyCompoundChildSetRotation@24"
btBodyChildGetPitch#(bodyCompound%, index%, global%) : "_btBodyCompoundChildGetPitch@12"
btBodyChildGetYaw#(bodyCompound%, index%, global%) : "_btBodyCompoundChildGetYaw@12"
btBodyChildGetRoll#(bodyCompound%, index%, global%) : "_btBodyCompoundChildGetRoll@12"


;////////////////////////////////////////////////////////////////////////
;___________ Body parametres
;---------------------------
btBodyIsSleeping%(rigidBody%) : "_btBodyIsSleeping@4"
btBodyIsStatic%(body%) : "_btBodyIsStatic@4"
btBodyIsSoftBody%(body%) : "_btBodyIsSoftBody@4"

btBodyGetType%(body%) : "_btBodyGetType@4"
btBodyGetMass#(body%) : "_btBodyGetMass@4"
btBodyGetMargin#(body%) : "_btBodyGetMargin@4"
btBodyGetActivationState%(body%) : "_btBodyGetActivationState@4"
btBodyGetCenterOfMassX#(rigidBody%) : "_btBodyGetCenterOfMassX@4"
btBodyGetCenterOfMassY#(rigidBody%) : "_btBodyGetCenterOfMassY@4"
btBodyGetCenterOfMassZ#(rigidBody%) : "_btBodyGetCenterOfMassZ@4"
btBodyGetFriction#(body%) : "_btBodyGetFriction@4"
btBodyGetAnisotropicFrictionX#(rigidBody%) : "_btBodyGetAnisotropicFrictionX@4"
btBodyGetAnisotropicFrictionY#(rigidBody%) : "_btBodyGetAnisotropicFrictionY@4"
btBodyGetAnisotropicFrictionZ#(rigidBody%) : "_btBodyGetAnisotropicFrictionZ@4"
btBodyGetDeactivationTime#(body%) : "_btBodyGetDeactivationTime@4"
btBodyGetRestitution#(rigidBody%) : "_btBodyGetRestitution@4"
btBodyGetContactProcessingThreshold#(body%) : "_btBodyGetContactProcessingThreshold@4"
btBodyGetAngularSleepingThreshold#(rigidBody%) : "_btBodyGetAngularSleepingThreshold@4"
btBodyGetLinearSleepingThreshold#(rigidBody%) : "_btBodyGetLinearSleepingThreshold@4"
btBodyGetUserData%(body%) : "_btBodyGetUserData@4"
btBodyGetName$(body%) : "_btBodyGetName@4"
btBodyGetCcdMotionThreshold#(body%) : "_btBodyGetCcdMotionThreshold@4"
btBodyGetCcdSweptSphereRadius#(body%) : "_btBodyGetCcdSweptSphereRadius@4"
btBodyGetHitFraction#(body%) : "_btBodyGetHitFraction@4"
btBodyGetLocalInertiaX#(rigidBody%) : "_btBodyGetLocalInertiaX@4"
btBodyGetLocalInertiaY#(rigidBody) : "_btBodyGetLocalInertiaY@4"
btBodyGetLocalInertiaZ#(rigidBody%) : "_btBodyGetLocalInertiaZ@4"

btBodySetAdditionalGroup(body%, index%, group%) : "_btBodySetAdditionalGroup@12"
btBodySetLocalInertia(rigidBody%, x#, y#, z#) : "_btBodySetLocalInertia@16"
btBodySetMargin(body%, margin#) : "_btBodySetMargin@8"
btBodySetActivationState(body%, state%) : "_btBodySetActivationState@8"
btBodySetFriction(body%, friction#) : "_btBodySetFriction@8"
btBodySetAnisotropicFriction(rigidBody%, x#, y#, z#) : "_btBodySetAnisotropicFriction@16"
btBodySetMass(body%, mass#) : "_btBodySetMass@8"
btBodySetDeactivationTime(body%, time#) : "_btBodySetDeactivationTime@8"
btBodySetRestitution(rigidBody%, rest#) : "_btBodySetRestitution@8"
btBodySetContactProcessingThreshold(body%, contactPT#) : "_btBodySetContactProcessingThreshold@8"
btBodySetAngularSleepingThreshold(rigidBody%, threshold#) : "_btBodySetAngularSleepingThreshold@8"
btBodySetLinearSleepingThreshold(rigidBody%, threshold#) : "_btBodySetLinearSleepingThreshold@8"
btBodySetUserData(body%, data%) : "_btBodySetUserData@8"
btBodySetName(body%, name$) : "_btBodySetName@8"
btBodySetCcdMotionThreshold(body%, threshold#) : "_btBodySetCcdMotionThreshold@8"
btBodySetCcdSweptSphereRadius(body%, radius#) : "_btBodySetCcdSweptSphereRadius@8"
btBodySetHitFraction(body%, fraction#) : "_btBodySetHitFraction@8"
btBodySetSleep(rigidBody%, sleep%) : "_btBodySetSleep@8"

btBodyEnableCollision(body%, enabled%) : "_btBodyEnableCollision@8"
btBodyEnableResponse(body%, enabled%) : "_btBodyEnableResponse@8"
btBodyEnableRayCast(body%, enabled%) : "_btBodyEnableRayCast@8"
btBodyEnableDebugDraw(body%, enabled%) : "_btBodyEnableDebugDraw@8"
btBodyEnableMagniteble(body%, enabled%) : "_btBodyEnableMagniteble@8"
btBodyEnableTriggertable(body%, enabled%) : "_btBodyEnableTriggertable@8"
btBodyEnableKinematic(rigidBody%, enabled%) : "_btBodyEnableKinematic@8"
btBodyEnableDrawName(body%, enabled%) : "_btBodyEnableDrawName@8"
btBodySetColorName(body%, r%, g%, b%) : "_btBodySetColorName@16"

btBodyChildSetUserData(bodyCompound%, index%, data%) : "_btBodyCompoundChildSetUserData@12"
btBodyChildGetUserData%(bodyCompound%, index%) : "_btBodyCompoundChildGetUserData@8"


;////////////////////////////////////////////////////////////////////////
;___________ Collision group
;----------------------------------------
btCollisionGroupSetFlag(group1%, group2%, flag%) : "_btCollisionGroupSetFlag@12"
btBodySetCollisionGroup(body%, group%) : "_btBodySetCollisionGroup@8"
btCollisionGroupGetNumBody%(group%) : "_btCollisionGroupGetNumBody@4"
btCollisionGroupGetBody%(group, index%) : "_btCollisionGroupGetBody@8"


;////////////////////////////////////////////////////////////////////////
;___________ Mask
;----------------
btCreateMask%() : "_btCreateMask@0"
btMaskAddGroup(mask%, group%) : "_btMaskAddGroup@8"
btMaskIsAddedGroup%(mask%, group%) : "_btMaskIsAddedGroup@8"
btMaskRemoveGroup(mask%, group%) : "_btMaskRemoveGroup@8"
btMaskClear(mask%) : "_btMaskClear@4"
btDeleteMask%(mask%) : "_btDeleteMask@4"
btDeleteAllMask() : "_btDeleteAllMask@0"


;////////////////////////////////////////////////////////////////////////
;___________ Acceleration and Force
;----------------------------------
btBodyApplyForce(body%, x#, y#, z#) : "_btBodyApplyForce@16"
btBodyApplyLocalForce(rigidBody%, x#, y#, z#) : "_btBodyApplyLocalForce@16"
btBodyApplyImpulse(rigidBody%, x#, y#, z#) : "_btBodyApplyImpulse@16"
btBodyApplyLocalImpulse(rigidBody%, x#, y#, z#) : "_btBodyApplyLocalImpulse@16"
btBodyApplyRelForce(rigidBody%, x#, y#, z#, relx#, rely#, relz#) : "_btBodyApplyRelForce@28"
btBodyApplyLocalRelForce(rigidBody%, x#, y#, z#, relx#, rely#, relz#) : "_btBodyApplyLocalRelForce@28"
btBodyApplyRelImpulse(rigidBody%, x#, y#, z#, relx#, rely#, relz#) : "_btBodyApplyRelImpulse@28"
btBodyApplyLocalRelImpulse(rigidBody%, x#, y#, z#, relx#, rely#, relz#) : "_btBodyApplyLocalRelImpulse@28"
btBodyApplyTorque(rigidBody%, x#, y#, z#) : "_btBodyApplyTorque@16"
btBodyApplyLocalTorque(rigidBody%, x#, y#, z#) : "_btBodyApplyLocalTorque@16"
btBodyApplyTorqueImpulse(rigidBody%, x#, y#, z#) : "_btBodyApplyTorqueImpulse@16"
btBodyApplyLocalTorqueImpulse(rigidBody%, x#, y#, z#) : "_btBodyApplyLocalTorqueImpulse@16"
btBodyApplyDamping(rigidBody%, timeStep#) : "_btBodyApplyDamping@8"

btBodyClearForces(rigidBody%) : "_btBodyClearForces@4"

btBodyGetAngularDamping#(rigidBody%) : "_btBodyGetAngularDamping@4"
btBodyGetAngularVelocity#(rigidBody%) : "_btBodyGetAngularVelocity@4"
btBodyGetAngularVelocityX#(rigidBody%) : "_btBodyGetAngularVelocityX@4"
btBodyGetAngularVelocityY#(rigidBody%) : "_btBodyGetAngularVelocityY@4"
btBodyGetAngularVelocityZ#(rigidBody%) : "_btBodyGetAngularVelocityZ@4"
btBodyGetLocalAngularVelocityX#(rigidBody%) : "_btBodyGetLocalAngularVelocityX@4"
btBodyGetLocalAngularVelocityY#(rigidBody%) : "_btBodyGetLocalAngularVelocityY@4"
btBodyGetLocalAngularVelocityZ#(rigidBody%) : "_btBodyGetLocalAngularVelocityZ@4"

btBodyGetLinearDamping#(rigidBody%) : "_btBodyGetLinearDamping@4"
btBodyGetLinearVelocity#(body%) : "_btBodyGetLinearVelocity@4"
btBodyGetLinearVelocityX#(rigidBody%) : "_btBodyGetLinearVelocityX@4"
btBodyGetLinearVelocityY#(rigidBody%) : "_btBodyGetLinearVelocityY@4"
btBodyGetLinearVelocityZ#(rigidBody%) : "_btBodyGetLinearVelocityZ@4"
btBodyGetLocalLinearVelocityX#(rigidBody%) : "_btBodyGetLocalLinearVelocityX@4"
btBodyGetLocalLinearVelocityY#(rigidBody%) : "_btBodyGetLocalLinearVelocityY@4"
btBodyGetLocalLinearVelocityZ#(rigidBody%) : "_btBodyGetLocalLinearVelocityZ@4"
btBodyGetDirLinearVelocityX#(rigidBody%) : "_btBodyGetDirLinearVelocityX@4"
btBodyGetDirLinearVelocityY#(rigidBody%) : "_btBodyGetDirLinearVelocityY@4"
btBodyGetDirLinearVelocityZ#(rigidBody%) : "_btBodyGetDirLinearVelocityZ@4"
btBodyGetGravityX#(rigidBody%) : "_btBodyGetGravityX@4"
btBodyGetGravityY#(rigidBody%) : "_btBodyGetGravityY@4"
btBodyGetGravityZ#(rigidBody%) : "_btBodyGetGravityZ@4"

btBodySetAngularDamping(rigidBody%, damping#) : "_btBodySetAngularDamping@8"
btBodySetAngularFactorX(rigidBody%, factor#) : "_btBodySetAngularFactorX@8"
btBodySetAngularFactorY(rigidBody%, factor#) : "_btBodySetAngularFactorY@8"
btBodySetAngularFactorZ(rigidBody%, factor#) : "_btBodySetAngularFactorZ@8"
btBodySetAngularVelocity(rigidBody%, x#, y#, z#) : "_btBodySetAngularVelocity@16"

btBodySetLinearDamping#(rigidBody%, damping#) : "_btBodySetLinearDamping@8"
btBodySetLinearFactorX(rigidBody%, factor#) : "_btBodySetLinearFactorX@8"
btBodySetLinearFactorY(rigidBody%, factor#) : "_btBodySetLinearFactorY@8"
btBodySetLinearFactorZ(rigidBody%, factor#) : "_btBodySetLinearFactorZ@8"
btBodySetLinearVelocity(rigidBody%, x#, y#, z#) : "_btBodySetLinearVelocity@16"

btBodySetGravity(rigidBody%, x#, y#, z#) : "_btBodySetGravity@16"
btBodyMoveToPoint%(body%, x#, y#, z#, force#, deltaForce#, maxForce#, margin#) : "_btBodyMoveToPoint@32"


;////////////////////////////////////////////////////////////////////////
;___________ Contacts
;--------------------
btContactTest%(rigidBody%, mask%) : "_btContactTest@8"
btContactPairTest%(rigidBodyA%, rigidBodyB%) : "_btContactPairTest@8"
btContactManifoldTest%(clearList%) : "_btContactManifoldTest@4"
btContactTestAddBody(rigidBody%, mask%) : "_btContactTestAddBody@8"
btBodySetContactManifoldMask(rigidBody%, mask%) : "_btBodySetContactManifoldMask@8"
btContactTestRemoveBody(rigidBody%) : "_btContactManifoldTestRemoveBody@4"
btBodyClearContacts(rigidBody%) : "_btBodyClearContacts@4"

btContactGetNum%(rigidBody%) : "_btContactGetNum@4"
btContactGetBody%(rigidBody%, contact%) : "_btContactGetBody@8"
btContactGetDistance#(rigidBody%, contact%) : "_btContactGetDistance@8"
btContactGetForce#(rigidBody%, contact%) : "_btContactGetForce@8"
btContactGetForceX#(rigidBody%, contact%) : "_btContactGetForceX@8"
btContactGetForceY#(rigidBody%, contact%) : "_btContactGetForceY@8"
btContactGetForceZ#(rigidBody%, contact%) : "_btContactGetForceZ@8"
btContactGetX#(rigidBody%, contact%) : "_btContactGetPointX@8"
btContactGetY#(rigidBody%, contact%) : "_btContactGetPointY@8"
btContactGetZ#(rigidBody%, contact%) : "_btContactGetPointZ@8"
btContactGetNX#(rigidBody%, contact%) : "_btContactGetPointNX@8"
btContactGetNY#(rigidBody%, contact%) : "_btContactGetPointNY@8"
btContactGetNZ#(rigidBody%, contact%) : "_btContactGetPointNZ@8"
btContactGetIndexA%(rigidBody%, contact%) : "_btContactGetIndexA@8"
btContactGetIndexB%(rigidBody%, contact%) : "_btContactGetIndexB@8"
btContactGetLateralForce#(rigidBody%, contact%) : "_btContactGetLateralForce@8"
btContactGetMotion#(rigidBody%, contact%) : "_btContactGetMotion@8"

btContactCheckBodiesI%(rigidBodyA%, rigidBodyB%, mode%) : "_btContactCheckBodies@12"
btContactCheckBodies%(rigidBodyA%, rigidBodyB%, mode%) 

btContactSetSolverIterations(num%) : "_btContactSetSolverIterations@4"
btContactSetSolverMode(mode%) : "_btContactSetSolverMode@4"
btContactSetSolverParameter(id%, value#) : "_btContactSetSolverParameter@8"
btContactGetSolverParameter#(id%) : "_btContactGetSolverParameter@4"

btCollisionSetConvexMultipointIterations(numPerturbationIterations%, minimumPointsPerturbationThreshold%) : "_btCollisionSetConvexMultipointIterations@8"


;////////////////////////////////////////////////////////////////////////
;___________ Joints
;------------------
btJointCreateConeTwist%(rigidBodyA%, rigidBodyB%,  xA#, yA#, zA#, globalA%,  xB#, yB#, zB#, globalB%,  disableCollisionBodies%) : "_btJointCreateConeTwist@44"
btJointCreate6DofGeneric%(rigidBodyA%, rigidBodyB%,  xA#, yA#, zA#, globalA%,  xB#, yB#, zB#, globalB%,  disableCollisionBodies%) : "_btJointCreate6DofGeneric@44"
btJointCreate6DofSpring%(rigidBodyA%, rigidBodyB%,  xA#, yA#, zA#, globalA%,  xB#, yB#, zB#, globalB%,  disableCollisionBodies%) : "_btJointCreate6DofSpring@44"
btJointCreate6DofHinge%(bodyA%, bodyB%, x#, y#, z#, axis1X#, axis1Y#, axis1Z#, axis2X#, axis2Y#, axis2Z#, disableCollisionBodies%) : "_btJointCreate6DofHinge@48"
btJointCreateHinge%(rigidBodyA%, rigidBodyB%,  xA#, yA#, zA#, globalA%,  xB#, yB#, zB#, globalB%,  disableCollisionBodies%) : "_btJointCreateHinge@44"
btJointCreatePoint2Point%(rigidBodyA%, rigidBodyB%,  xA#, yA#, zA#, globalA%,  xB#, yB#, zB#, globalB%,  disableCollisionBodies%) : "_btJointCreatePoint2Point@44"
btJointCreateSlider%(rigidBodyA%, rigidBodyB%,  xA#, yA#, zA#, globalA%,  xB#, yB#, zB#, globalB%,  disableCollisionBodies%) : "_btJointCreateSlider@44"
btJointCreate6DofUniversal%(rigidBodyA%, rigidBodyB%, anchorX#, anchorY#, anchorZ#, axis1X#, axis1Y#, axis1Z#, axis2X#, axis2Y#, axis2Z#, disableCollisionBodies%) : "_btJointCreate6DofUniversal@48"

btDeleteJoint(joint) : "_btDeleteJoint@4"
btDeleteAllJoints() : "_btDeleteAllJoints@0"

btJointSetName(joint%, name$) : "_btJointSetName@8"
btJointEnableDrawName(joint%, enabled%) : "_btJointEnableDrawName@8"
btJointSetColorName(joint%, r%, g%, b%) : "_btJointSetColorName@16"
btJointSetDebugDrawSize(joint%, size#) : "_btJointSetDebugDrawSize@8"
btJointSetParam(joint%, num%, value#, axis%) : "_btJointSetParam@16"
btJointSetBreakingImpulseThreshold(joint%, threshold#) : "_btJointSetBreakingImpulseThreshold@8"
btJointSetRotationAI(joint%, pitch#, yaw#, roll#, global%) : "_btJointSetRotationA@20"
btJointSetRotationA(joint%, pitch#, yaw#, roll#, global%)
btJointSetRotationBI(joint%, pitch#, yaw#, roll#, global%) : "_btJointSetRotationB@20"
btJointSetRotationB(joint%, pitch#, yaw#, roll#, global%)
btJointSetPositionAI(joint%, x#, y#, z#, global%) : "_btJointSetPositionA@20"
btJointSetPositionA(joint%, x#, y#, z#, global%) 
btJointSetPositionBI(joint%, x#, y#, z#, global%) : "_btJointSetPositionB@20"
btJointSetPositionB(joint%, x#, y#, z#, global%) 
btJointEnable(joint%, enabled%) : "_btJointEnable@8"
btJointIsEnabled%(joint%) : "_btJointIsEnabled@4" 
btJointGetType%(joint) : "_btJointGetType@4"

btJoint6DofSetAngularLowerLimit(joint6Dof%, x#, y#, z#) : "_btJoint6DofSetAngularLowerLimit@16"
btJoint6DofSetAngularUpperLimit(joint6Dof%, x#, y#, z#) : "_btJoint6DofSetAngularUpperLimit@16"
btJoint6DofSetLinearLowerLimit(joint6Dof%, x#, y#, z#) : "_btJoint6DofSetLinearLowerLimit@16"
btJoint6DofSetLinearUpperLimit(joint6Dof%, x#, y#, z#) : "_btJoint6DofSetLinearUpperLimit@16"
btJoint6DofSetLimit(joint6Dof%, axis%, lo#, hi#) : "_btJoint6DofSetLimit@16"
btJoint6DofSetAxis1(joint6Dof%, x#, y#, z#) : "_btJoint6DofSetAxis1@16"
btJoint6DofSetAxis2(joint6Dof%, x#, y#, z#) : "_btJoint6DofSetAxis2@16"
btJoint6DofGetAngle#(joint6Dof%, axis%) : "_btJoint6DofGetAngle@8"

btJointConeTwistSetLimit(jointTwist%, swingSpan1#, swingSpan2#, twistSpan#) : "_btJointConeTwistSetLimit@16"
btJointConeTwistSetDamping(jointTwist%, damping#) : "_btJointConeTwistSetDamping@8"
btJointConeTwistSetAngularOnly(jointTwist%, enabled%) : "_btJointConeTwistSetAngularOnly@8"
btJointConeTwistSetMaxMotorImpulse(jointTwist%, impulse#) : "_btJointConeTwistSetMaxMotorImpulse@8"
btJointConeTwistSetMotorTarget(jointTwist%, pitch#, yaw#, roll#) : "_btJointConeTwistSetMotorTarget@16"
btJointConeTwistEnableMotor(jointTwist%, enabled%) : "_btJointConeTwistEnableMotor@8"

btJointHingeSetLimit(jointHinge%, low#, high#) : "_btJointHingeSetLimit@12"
btJointHingeEnableAngularMotor(jointHinge%, enabled%, targetVelocity#, maxMotorImpulse#) : "_btJointHingeEnableAngularMotor@16"
btJointHingeEnableMotor(jointHinge%, enabled%) : "_btJointHingeEnableMotor@8"
btJointHingeSetMotorTarget(jointHinge%, targetAngle#, dt#) : "_btJointHingeSetMotorTarget@12"
btJointHingeSetMaxMotorImpulse(jointHinge%, maxImpulse#) : "_btJointHingeSetMaxMotorImpulse@8"
btJointHingeSetAxis(jointHinge%, x#, y#, z#) : "_btJointHingeSetAxis@16"
btJointHingeGetAngle#(jointHinge%) : "_btJointHingeGetAngle@4"

btJointSliderSetAngularLimit(jointSlider%, lowerLimit#, upperLimit#) : "_btJointSliderSetAngularLimit@12"
btJointSliderSetLinearLimit(jointSlider%, lowerLimit#, upperLimit#) : "_btJointSliderSetLinearLimit@12"
btJointSliderSetMaxMotorForce(jointSlider%, angular#, linear#) : "_btJointSliderSetMaxMotorForce@12"
btJointSliderSetAngularMotorVelocity(jointSlider%, velocity#) : "_btJointSliderSetAngularMotorVelocity@8"
btJointSliderSetLinearMotorVelocity(jointSlider%, velocity#) : "_btJointSliderSetLinearMotorVelocity@8"
btJointSliderEnableAngMotor(jointSlider%, enabled%) : "_btJointSliderEnableAngMotor@8"
btJointSliderEnableLinMotor(jointSlider%, enabled%) : "_btJointSliderEnableLinMotor@8"
btJointSliderSetSoftnessDir(jointSlider%, angular#, linear#) : "_btJointSliderSetSoftnessDir@12"
btJointSliderSetSoftnessLimit(jointSlider%, angular#, linear#) : "_btJointSliderSetSoftnessLimit@12"
btJointSliderSetSoftnessOrtho(jointSlider%, angular#, linear#) : "_btJointSliderSetSoftnessOrtho@12"
btJointSliderSetRestitutionDir(jointSlider%, angular#, linear#) : "_btJointSliderSetRestitutionDir@12"
btJointSliderSetRestitutionLimit(jointSlider%, angular#, linear#) : "_btJointSliderSetRestitutionLimit@12"
btJointSliderSetRestitutionOrtho(jointSlider%, angular#, linear#) : "_btJointSliderSetRestitutionOrtho@12"
btJointSliderSetDampingDir(jointSlider%, angular#, linear#) : "_btJointSliderSetDampingDir@12"
btJointSliderSetDampingLimit(jointSlider%, angular#, linear#) : "_btJointSliderSetDampingLimit@12"
btJointSliderSetDampingOrtho(jointSlider%, angular#, linear#) : "_btJointSliderSetDampingOrtho@12"
btJointSliderGetAngDepth#(jointSlider%) : "_btJointSliderGetAngDepth@4"


;////////////////////////////////////////////////////////////////////////
;___________ Raycast
;--------------------
btCreateRay%() : "_btCreateRay@0"
btDeleteRay(ray%): "_btDeleteRay@4"
btDeleteAllRays(): "_btDeleteAllRays@0"

btRaySetDirection(ray%, nx#, ny#, nz#) : "_btRaySetDirection@16"
btRaySetPointDir(ray%, x#, y#, z#) : "_btRaySetPointDir@16"
btRaySetMaxDistance(ray%, distance#) : "_btRaySetMaxDistance@8"
btRaySetPosition(ray%, x#, y#, z#) : "_btRaySetPosition@16"
btRaySetMethodPick(ray%, mode%) : "_btRaySetMethodPick@8"
btRaySetIndexGroup(ray%, index%) : "_btRaySetIndexCGroup@8"
btRayEnablePickSoftBody(ray%, enabled%) : "_btRayEnablePickSoftBody@8"
btRayEnableDebugDraw(ray%, enabled%) : "_btRayEnableDebugDraw@8"

btRaySetMask(ray%, mask%) : "_btRaySetMask@8"
btRayGetMask%(ray%) : "_btRayGetMask@4"
btRayRemoveMask(ray%) : "_btRayRemoveMask@4"

btRayGetBody%(ray%, mode%) : "_btRayGetBody@8"
btRayGetDistance#(ray%, mode%) : "_btRayGetDistance@8"
btRayGetPickInfo%(ray%, mode%) : "_btRayGetPickInfo@8"

btPickInfoCountI%(ray%) : "_btPickInfoCount@4" 
btPickInfoCount%(ray%)
btPickInfoBodyI%(ray%, num%) : "_btPickInfoBody@8"
btPickInfoBody%(ray%, num%)
btPickInfoDistanceI#(ray%, num%) : "_btPickInfoDistance@8"
btPickInfoDistance#(ray%, num%)
btPickInfoXI#(ray%, num%) : "_btPickInfoX@8"
btPickInfoX#(ray%, num%)
btPickInfoYI#(ray%, num%) : "_btPickInfoY@8"
btPickInfoY#(ray%, num%)
btPickInfoZI#(ray%, num%) : "_btPickInfoZ@8"
btPickInfoZ#(ray%, num%)
btPickInfoNXI#(ray%, num%) : "_btPickInfoNX@8"
btPickInfoNX#(ray%, num%)
btPickInfoNYI#(ray%, num%) : "_btPickInfoNY@8"
btPickInfoNY#(ray%, num%)
btPickInfoNZI#(ray%, num%) : "_btPickInfoNZ@8"
btPickInfoNZ#(ray%, num%) 
btPickInfoNodeI%(ray%, num%) : "_btPickInfoNode@8"
btPickInfoNode%(ray%, num%)
btPickInfoTriangleI%(ray%, num%) : "_btPickInfoTriangle@8"
btPickInfoTriangle%(ray%, num%)


;////////////////////////////////////////////////////////////////////////
;___________ Vehicle
;-------------------
btCreateVehicle%(rigidBody%) : "_btCreateVehicle@4"
btVehicleAddWheelI%(vehicle%, x#, y#, z#, global%) : "_btVehicleAddWheel@20"
btVehicleAddWheel%(vehicle%, x#, y#, z#, global%)
btVehicleSetCoordinateSystem(vehicle%, x#, y#, z#) : "_btVehicleSetCoordinateSystem@16"
btVehicleSetModeUpdate(vehicle%, mode%) : "_btVehicleSetModeUpdate@8"
btVehicleSetTimeStep(vehicle%, step#) : "_btVehicleSetTimeStep@8"
btVehicleResetSuspension(vehicle%) : "_btVehicleResetSuspension@4"

btVehicleGetWheel%(vehicle%, index%) : "_btVehicleGetWheel@8"
btVehicleGetNumWheel%(vehicle%) : "_btVehicleGetNumWheel@4"

btDeleteVehicle(vehicle%) : "_btDeleteVehicle@4"
btDeleteAllVehicle() : "_btDeleteAllVehicle@0"

;___________ Wheels
;------------------
btWheelSetDirection(wheel%, x#, y#, z#) : "_btWheelSetDirection@16"
btWheelSetAxis(wheel%, x#, y#, z#) : "_btWheelSetAxis@16"

btWheelSetFront(wheel%, isFront#) : "_btWheelSetFront@8"
btWheelSetSuspensionRestLength(wheel%, length#) : "_btWheelSetSuspensionRestLength@8"
btWheelSetBreak(wheel%, brake#) : "_btWheelSetBreak@8"
btWheelSetMaxSuspensionForce(wheel%, force#) : "_btWheelSetMaxSuspensionForce@8"
btWheelSetSuspensionRelVelocity(wheel%, velocity#) : "_btWheelSetSuspensionRelVelocity@8"
btWheelSetSuspensionStiffness(wheel%, stiffness#) : "_btWheelSetSuspensionStiffness@8"
btWheelSetSuspensionCompression(wheel%, compression#) : "_btWheelSetSuspensionCompression@8"
btWheelSetSuspensionDamping(wheel%, damping#) : "_btWheelSetSuspensionDamping@8"
btWheelSetEngineForce(wheel%, force#) : "_btWheelSetEngineForce@8"
btWheelSetRadius(wheel%, radius#) : "_btWheelSetRadius@8"
btWheelSetFrictionSlip(wheel%, friction#) : "_btWheelSetFrictionSlip@8"
btWheelSetRollInFluence(wheel%, roll#) : "_btWheelSetRollInFluence@8"
btWheelSetEntity(wheel%, entity%) : "_btWheelSetEntity@8"
btWheelSetRotation(wheel%, rotate#) : "_btWheelSetRotation@8"
btWheelSetSteering(wheel%, steering#) : "_btWheelSetSteering@8"
btWheelSetMask(wheel%, mask%) : "_btWheelSetMask@8"
btWheelSetConnectionPoint(wheel%, x#, y#, z#, global%) : "_btWheelSetConnectionPoint@20"


btWheelGetX#(wheel%) : "_btWheelGetX@4"
btWheelGetY#(wheel%) : "_btWheelGetY@4"
btWheelGetZ#(wheel%) : "_btWheelGetZ@4"
btWheelGetPitch#(wheel%) : "_btWheelGetPitch@4"
btWheelGetYaw#(wheel%) : "_btWheelGetYaw@4"
btWheelGetRoll#(wheel%) : "_btWheelGetRoll@4"

btWheelGetRadius#(wheel%) : "_btWheelGetRadius@4"
btWheelGetRotation#(wheel%) : "_btWheelGetRotation@4"
btWheelGetSteering#(wheel%) : "_btWheelGetSteering@4"
btWheelGetSuspensionRestLength#(wheel%) : "_btWheelGetSuspensionRestLength@4"

btWheelIsContact%(wheel%) : "_btWheelIsContact@4"
btWheelGetContactForce#(wheel%) : "_btWheelGetContactForce@4"
btWheelGetContactX#(wheel%) : "_btWheelGetContactX@4"
btWheelGetContactY#(wheel%) : "_btWheelGetContactY@4"
btWheelGetContactZ#(wheel%) : "_btWheelGetContactZ@4"
btWheelGetContactNX#(wheel%) : "_btWheelGetContactNX@4"
btWheelGetContactNY#(wheel%) : "_btWheelGetContactNY@4"
btWheelGetContactNZ#(wheel%) : "_btWheelGetContactNZ@4"
btWheelGetContactBody%(wheel%) : "_btWheelGetContactBody@4"


;////////////////////////////////////////////////////////////////////////
;___________ Character Controller
;--------------------------------
btCreateCharacterController%(radius#, hieght#) : "_btCreateCharacterController@8"
btDeleteCController(controller%) : "_btDeleteCController@4"
btDeleteAllCControllers() : "_btDeleteAllCControllers@0"

btCControllerSetPosition(controller%, x#, y#, z#) : "_btCControllerSetPosition@16"
btCControllerSetUpAxis(controller%, axis%) : "_btCControllerSetUpAxis@8"
btCControllerSetWalkDirection(controller%, x#, y#, z#, global%) : "_btCControllerSetWalkDirection@20"
btCControllerSetMaxSlope(controller%, angle#) : "_btCControllerSetMaxSlope@8"
btCControllerSetMaxJumpHeight(controller%, height#) : "_btCControllerSetMaxJumpHeight@8"
btCControllerSetJumpSpeed(controller%, speed#) : "_btCControllerSetJumpSpeed@8"
btCControllerSetFallSpeed(controller%, speed#) : "_btCControllerSetFallSpeed@8"
btCControllerSetGravity(controller%, gravity#) : "_btCControllerSetGravity@8"

btCControllerGetBody%(controller%) : "_btCControllerGetBody@4"
btCControllerJump(controller%) : "_btCControllerJump@4"
btCControllerOnGround%(controller%) : "_btCControllerOnGround@4"
btCControllerCanJump%(controller%) : "_btCControllerCanJump@4"


;////////////////////////////////////////////////////////////////////////
;___________ Magnet
;--------------------------------
btCreateMagnet%(power#, delta#) : "_btCreateMagnet@8"
btDeleteMagnet(magnet%) : "_btDeleteMagnet@4"
btDeleteAllMagnets() : "_btDeleteAllMagnets@0"

btMagnetSetMaxRadius(magnet%, radius#) : "_btMagnetSetMaxRadius@8"
btMagnetSetMinRadius(magnet%, radius#) : "_btMagnetSetMinRadius@8"
btMagnetSetBody(magnet%, rigidBody%) : "_btMagnetSetBody@8"
btMagnetSetPosition(magnet%, x#, y#, z%) : "_btMagnetSetPosition@16"
btMagnetSetPower(magnet%, power%) : "_btMagnetSetPower@8"
btMagnetSetDelta(magnet%, delta%) : "_btMagnetSetDelta@8"
btMagnetEnable(magnet%, enabled%) : "_btMagnetEnable@8"
btMagnetSetStepUpdate(magnet%, step%) : "_btMagnetSetStepUpdate@8"
btMagnetSetMask(magnet%, mask%) : "_btMagnetSetMask@8"

btMagnetIsEnabled%(magnet%) : "btMagnetIsEnabled@4"
btMagnetGetMaxRadius#(magnet%) : "_btMagnetGetMaxRadius@4"
btMagnetGetMinRadius#(magnet%) : "_btMagnetGetMinRadius@4"
btMagnetGetBody%(magnet%) : "_btMagnetGetBody@4"
btMagnetGetPower#(magnet%) : "_btMagnetGetPower@4"
btMagnetGetDelta#(magnet%) : "_btMagnetGetDelta@4"
btMagnetGetStepUpdate%(magnet%) : "_btMagnetGetStepUpdate@4"


;////////////////////////////////////////////////////////////////////////
;___________ Other functions
;--------------------------------
btMessageBox%(hwnd%, text$) : "_btMessageBox@8"
btQuatGetDot#(xA#, yA#, zA#, wA#, xB#, yB#, zB#, wB#) : "_btQuatGetDot@32"
btQuatGetAngle#(xA#, yA#, zA#, wA#, xB#, yB#, zB#, wB#) : "_btQuatGetAngle@32"
btVectorGetAngle#(xA#, yA#, zA#, xB#, yB#, zB#) : "_btVectorGetAngle@24"
btVectorGetDistance#(xA#, yA#, zA#, xB#, yB#, zB#) : "_btVectorGetDistance@24"
btVectorGetDot#(xA#, yA#, zA#, xB#, yB#, zB#) : "_btVectorGetDot@24"
btIsFullVersion%() : "_btIsFullVersion@0"
